Subject: RE: bug#78918: 30.1; mouse clicks not registering when using laptop touchpad on MS-Windows

From: Vince Salvino <[email-masked]>
Date: Sun, 29 Jun 2025 18:38:06 +0000

Thanks for checking, Eli. Sorry to have wasted your time - this bug was caused by my own stupidity.

Hitting a wall, I ended up reinstalling Windows, and of course it fixed the problem. In hindsight, I have so many developer tools installed on my machine that something on the PATH was likely causing a conflict with one of the DLLs or EXEs bundled with Emacs. I frequently have this problem, and should have caught it much earlier. A common culprit is libwinpthread-1.dll which tons of other software also bundles.

I guess the lesson learned is to have Emacs users check for PATH additions, and test without those first, when getting weird bugs.

Vince Salvino